/*
 * Copyright (c) 2007,2010 CNRS/LAAS
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef GENBASIC_STRUCT_H
#define GENBASIC_STRUCT_H


/* ------------------------------------------------------------
 * USEFULL
 */
typedef enum GEN_BOOL {
  GEN_TRUE=1,
  GEN_FALSE=0
} GEN_BOOL;  


/* ------------------------------------------------------------
 * STRINGS
 */
typedef struct GEN_STRING16 {
  char name[16];
} GEN_STRING16;

typedef struct GEN_STRING32 {
  char name[32];
} GEN_STRING32;

typedef struct GEN_STRING64 {
  char name[64];
} GEN_STRING64;

typedef struct GEN_STRING128 {
  char name[128];
} GEN_STRING128;

typedef struct GEN_STRING256 {
  char name[256];
} GEN_STRING256;

/* ------------------------------------------------------------
 * GEOM CARTESIAN
 */
typedef struct GEN_POINT_2D {
  double x;
  double y;
} GEN_POINT_2D;

typedef struct GEN_CONFIG_2D {
  double x;
  double y;
  double theta;
} GEN_CONFIG_2D;

typedef struct GEN_POINT_3D {
  double x;
  double y;
  double z;
} GEN_POINT_3D;


typedef struct GEN_SEG_2D {
  GEN_POINT_2D pt1;
  GEN_POINT_2D pt2;
} GEN_SEG_2D;

typedef struct GEN_SEG_3D {
  GEN_POINT_3D pt1;
  GEN_POINT_3D pt2;
} GEN_SEG_3D;


/* ------------------------------------------------------------
 * GEOM POLAR
 */
typedef struct GEN_POLAR_2D {
  double rho;
  double theta;
} GEN_POLAR_2D;

#endif /* GENBASIC_STRUCT_H */
