
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef GENBASIC_PRINT_H
#define GENBASIC_PRINT_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */


#include "genBasicPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern void print_struct_GENBASIC_STR ( FILE *out,
     struct GENBASIC_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GEN_POLAR_2D ( FILE *out,
     struct GEN_POLAR_2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GEN_SEG_3D ( FILE *out,
     struct GEN_SEG_3D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GEN_SEG_2D ( FILE *out,
     struct GEN_SEG_2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GEN_POINT_3D ( FILE *out,
     struct GEN_POINT_3D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GEN_CONFIG_2D ( FILE *out,
     struct GEN_CONFIG_2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GEN_POINT_2D ( FILE *out,
     struct GEN_POINT_2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GEN_STRING256 ( FILE *out,
     struct GEN_STRING256 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GEN_STRING128 ( FILE *out,
     struct GEN_STRING128 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GEN_STRING64 ( FILE *out,
     struct GEN_STRING64 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GEN_STRING32 ( FILE *out,
     struct GEN_STRING32 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GEN_STRING16 ( FILE *out,
     struct GEN_STRING16 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_GEN_BOOL ( FILE *out,
     enum GEN_BOOL *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void print_GEN_BOOL ( FILE *out,
     GEN_BOOL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GEN_STRING16 ( FILE *out,
     GEN_STRING16 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GEN_STRING32 ( FILE *out,
     GEN_STRING32 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GEN_STRING64 ( FILE *out,
     GEN_STRING64 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GEN_STRING128 ( FILE *out,
     GEN_STRING128 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GEN_STRING256 ( FILE *out,
     GEN_STRING256 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GEN_POINT_2D ( FILE *out,
     GEN_POINT_2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GEN_CONFIG_2D ( FILE *out,
     GEN_CONFIG_2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GEN_POINT_3D ( FILE *out,
     GEN_POINT_3D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GEN_SEG_2D ( FILE *out,
     GEN_SEG_2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GEN_SEG_3D ( FILE *out,
     GEN_SEG_3D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GEN_POLAR_2D ( FILE *out,
     GEN_POLAR_2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENBASIC_STR ( FILE *out,
     GENBASIC_STR *x,
     int indent, int nDim, int *dims, FILE *in );
#ifdef __cplusplus
}
#endif

#endif /* GENBASIC_PRINT_H */

